%define name	fonts-ttf-arabic-kacst
%define name_orig KacstArabicFonts
%define version 1.6.3
%define release %mkrel 8
%define fontdir	fonts/TTF/arabic/kacst

Name:		%{name}
Summary:	Arabic TrueType fonts
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Fonts/True type
Source:		http://ceri.kacst.edu.sa/download/%{name_orig}-%{version}.tar.bz2
URL:		http://ceri.kacst.edu.sa/download
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildRequires: 	freetype-tools
Requires(post):	fontconfig
Requires(postun):fontconfig
Provides:	fonts-ttf-arabic

%description
This Package provides Free Arabic TrueType fonts donated under the GPL license
by King Abdulaziz City for Science and Technology (KACST).

%prep
%setup -n %name_orig-%version -q

%build

%install
rm -rf %buildroot

mkdir -p %buildroot/%_datadir/%fontdir
cp *.ttf %buildroot/%_datadir/%fontdir

pushd %buildroot/%_datadir/%fontdir
%_sbindir/ttmkfdir -u -o fonts.scale
cp fonts.scale fonts.dir
popd

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/%fontdir \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-arabic-kacst:pri=50

%post
[ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%doc license.txt
%dir %_datadir/%fontdir
%_datadir/%fontdir/*
%_sysconfdir/X11/fontpath.d/ttf-arabic-kacst:pri=50




%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.6.3-8mdv2009.1
+ Revision: 351039
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.3-7mdv2009.0
+ Revision: 220857
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.3-6mdv2008.1
+ Revision: 170834
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.3-5mdv2008.1
+ Revision: 149734
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires obsoletes buildprereq

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.6.3-4mdv2008.0
+ Revision: 48737
- fontpath.d conversion (#31756)
- minor cleanups


* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 23:10:22 (52883)
- Normalize fonts with new paths

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 21:08:34 (52811)
- import fonts-ttf-arabic-kacst-1.6.3-2mdk

* Tue Feb 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-2mdk
- Don't package fonts.cache-2 file
- Fix prereq
- touch parent directory to workaround rpm changing directory last modification
  time (breaking fontconfig cache consistency detection)
- Remove dependency on freetype, this is old stuff

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.3-1mdk
- rpmlint fix
- do not use subsheels b/c they hide errors
- initial build (Munzir Taha <munzirtaha@newhorizons.com.sa>)

